Name: leiningen
Version: 2.11.2
Release: 2%{?dist}
Summary: Automate Clojure projects without setting your hair on fire
Group: Development/Tools
License: EPL-1.0

URL: https://codeberg.org/leiningen/leiningen

Source0:        https://codeberg.org/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}-standalone.jar
Source1:        https://codeberg.org/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}-standalone.jar.asc
Source2:        https://codeberg.org/%{name}/%{name}/archive/%{version}.tar.gz
# https://docs.fedoraproject.org/en-US/packaging-guidelines/#_verifying_signatures
# gpg2 --export --export-options export-minimal <keyid> > 9D13D9426A0814B3373CF5E3D8A8243577A7859F.gpg
# source for the key https://technomancy.us/9D13D9426A0814B3373CF5E3D8A8243577A7859F.txt
Source3:        https://technomancy.us/9D13D9426A0814B3373CF5E3D8A8243577A7859F.txt
Source4:        9D13D9426A0814B3373CF5E3D8A8243577A7859F.gpg

BuildArch: noarch

%define _lein_jar %{name}-%{version}-standalone.jar

BuildRequires: gnupg2
Requires:      java-headless >= 1:1.8.0
BuildRequires: javapackages-tools

%if 0%{?fedora_version} && 0%{?fedora_version} >= 33
Recommends:    rlwrap
%endif



%description
Leiningen is for automating Clojure projects without setting your hair on fire.

%prep
gpg2 --keyring='%{SOURCE4}' --no-default-keyring --allow-non-selfsigned-uid --verify '%{SOURCE1}' '%{SOURCE0}'
tar xfz %{SOURCE2}

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_pkgdocdir}
install -d -m 755 %{buildroot}%{_mandir}/man1
install -d -m 755 %{buildroot}%{_sysconfdir}/zsh_completion.d
install -d -m 755 %{buildroot}%{_datadir}/bash-completion/completions
install -pm 644 %{SOURCE0} %{buildroot}%{_javadir}/%{_lein_jar}
install -pm 644 %{name}/COPYING %{buildroot}%{_pkgdocdir}/LICENSE
install -pm 755 %{name}/bin/lein-pkg %{buildroot}%{_bindir}/lein
install -pm 644 %{name}/zsh_completion.zsh %{buildroot}%{_sysconfdir}/zsh_completion.d/_lein
install -pm 644 %{name}/bash_completion.bash %{buildroot}%{_datadir}/bash-completion/completions/lein
install -pm 644 %{name}/doc/lein.1 %{buildroot}%{_mandir}/man1/lein.1

%files 
%{_bindir}/lein
%license %{_pkgdocdir}/LICENSE
%{_sysconfdir}/zsh_completion.d/_lein
%{_datadir}/bash-completion/completions/lein
%{_javadir}/%{_lein_jar}
%{_mandir}/man1/lein.1*

%changelog
* Tue Feb 20 2024 Markku Korkeala <markku.korkeala@iki.fi> - 2.11.2-2
- Update and fix reference to upstream signing key

* Tue Feb 20 2024 Markku Korkeala <markku.korkeala@iki.fi> - 2.11.2-1
- Update upstream to 2.11.2
- Rename bash completion, lein.sh -> lein

* Sun Oct 01 2023 Markku Korkeala <markku.korkeala@iki.fi> - 2.10.0-2
- Man page, license, lein-pkg and completion scripts from release archive

* Wed Apr 26 2023 Markku Korkeala <markku.korkeala@iki.fi> - 2.10.0-1
- Update to 2.10.0.

* Thu Aug 11 2022 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.10-1
- Update to 2.9.10.

* Sun Aug 07 2022 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.9-2
- Fix lein-pkg and COPYING source urls.

* Sun Aug 07 2022 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.9-1
- Update to 2.9.9.
- Update leiningen sources to codeberg.

* Fri Nov 12 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.8-2
- Fix EPEL7 builds, add conditional for Recommends tag.

* Fri Nov 12 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.8-1
- Update to upstream 2.9.8

* Thu Sep 16 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.7-2
- Add dependency to javapackages-tools and rlwrap

* Thu Sep 16 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.7-1
- Update to upstream 2.9.7

* Sat Apr 17 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.6-2
- Fix spec date errors

* Sat Apr 17 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.6-1
- Update to leiningen 2.9.6

* Tue Dec 08 2020 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.5-1
- Fix lein-pkg startup script

* Sun Dec 06 2020 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.4-4
- Fix lein-pkg startup script

* Sat Dec 05 2020 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.4-3
- Fix leiningen version in lein startup script

* Sun Jul 12 2020 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.4-1
- Update to leiningen 2.9.4

* Sun Mar 29 2020 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.3-1
- Initial release

